Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.collections
Class CollectionConfiguration

    java.lang.Object
      org.exist.collections.CollectionConfiguration

public class CollectionConfiguration
extends java.lang.Object

Field Summary
`static java.lang.String` | `COLLECTION_CONFIG_SUFFIX`
`static XmldbURI` | `COLLECTION_CONFIG_SUFFIX_URI`
`static java.lang.String` | `DEFAULT_COLLECTION_CONFIG_FILE`
`static XmldbURI` | `DEFAULT_COLLECTION_CONFIG_FILE_URI`
`static java.lang.String` | `NAMESPACE`

Constructor Summary
`CollectionConfiguration(BrokerPool pool, Collection collection)`

Method Summary
`Collection` | `getCollection()`
`int` | `getDefCollPermissions()`
`int` | `getDefResPermissions()`
`XmldbURI` | `getDocName()`
`IndexSpec` | `getIndexConfiguration()`
`XmldbURI` | `getSourceCollectionURI()`
`Trigger` | `getTrigger(int eventType)`
`static boolean` | `isCollectionConfigDocument(DocumentImpl doc)`
`static boolean` | `isCollectionConfigDocument(XmldbURI docName)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### COLLECTION_CONFIG_SUFFIX

    public static final java.lang.String COLLECTION_CONFIG_SUFFIX

See Also:
  Constant Field Values

### COLLECTION_CONFIG_SUFFIX_URI

    public static final XmldbURI COLLECTION_CONFIG_SUFFIX_URI

### DEFAULT_COLLECTION_CONFIG_FILE

    public static final java.lang.String DEFAULT_COLLECTION_CONFIG_FILE

See Also:
  Constant Field Values

### DEFAULT_COLLECTION_CONFIG_FILE_URI

    public static final XmldbURI DEFAULT_COLLECTION_CONFIG_FILE_URI

### NAMESPACE

    public static final java.lang.String NAMESPACE

See Also:
  Constant Field Values

Constructor Detail

### CollectionConfiguration

    public CollectionConfiguration(BrokerPool pool,
                                   Collection collection)

Method Detail

### isCollectionConfigDocument

    public static boolean isCollectionConfigDocument(XmldbURI docName)

### isCollectionConfigDocument

    public static boolean isCollectionConfigDocument(DocumentImpl doc)

### getDocName

    public XmldbURI getDocName()

### getCollection

    public Collection getCollection()

### getSourceCollectionURI

    public XmldbURI getSourceCollectionURI()

### getDefCollPermissions

    public int getDefCollPermissions()

### getDefResPermissions

    public int getDefResPermissions()

### getIndexConfiguration

    public IndexSpec getIndexConfiguration()

### getTrigger

    public Trigger getTrigger(int eventType)

### toString

    public java.lang.String toString()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.